Subject: Re: bug#15478: cc-mode does not obey electric-indent-mode

From: Daniel Colascione <[email-masked]>
Date: Wed, 02 Oct 2013 21:13:50 -0700

On 10/2/13 9:10 PM, Stefan Monnier wrote:
> That's arguing for changing the global default of electric-indent-mode.
> 
> Whereas this bug report is about changing cc-mode to follow the
> global preference, whichever way it's set.

Sure. I agree that having cc-mode use the normal electric functionality
would be better overall. But making this transition without turning
electricity on by default would be making Emacs worse and would make
Emacs less attractive in the eyes of new users, who will evaluate the
editor's defaults, not its capabilities. If we do want to make cc-mode
use generic electricity facilities, we have to enable electricity by
default everywhere at the same time.